Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024514
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 00. Application dictionarycriticalalways2013-08-08 12:462013-08-16 20:32
ReportergorkaionView Statuspublic 
Assigned Toalostale 
PriorityimmediateResolutionfixedFixed in Version3.0MP27
StatusclosedFix in branchFixed in SCM revisiond1cfd2567d69
ProjectionnoneETAnoneTarget Version3.0MP27
OSLinux 32 bitDatabaseOracleJava version1.5.0_15
OS VersionGentooDatabase version11gAnt version1.7.0
Product VersionpiSCM revision 
Review Assigned Toshankarb
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2013-05-13
Regression introduced in release
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/885e989c6784 [^]
Triggers an Emergency PackNo
Summary

0024514: Delete Client fails when the AD has Datasource based tables

DescriptionThe Delete client process fails when there is a table defined in the AD dictionary that it is Datasource based.

In Oracle the process finishes OK but leaves an exception in the logs. In postgresql the DeleteClient test throws an error in Jenkins [1]

7060408 [http-8080-10] ERROR org.openbravo.service.system.SystemService - exception when deleting the client:
java.sql.SQLSyntaxErrorException: ORA-00942: table or view does not exist

    at oracle.jdbc.driver.T4CTTIoer.processError(T4CTTIoer.java:440)
    at oracle.jdbc.driver.T4CTTIoer.processError(T4CTTIoer.java:396)
    at oracle.jdbc.driver.T4C8Oall.processError(T4C8Oall.java:837)
    at oracle.jdbc.driver.T4CTTIfun.receive(T4CTTIfun.java:445)
    at oracle.jdbc.driver.T4CTTIfun.doRPC(T4CTTIfun.java:191)
    at oracle.jdbc.driver.T4C8Oall.doOALL(T4C8Oall.java:523)
    at oracle.jdbc.driver.T4CPreparedStatement.doOall8(T4CPreparedStatement.java:207)
    at oracle.jdbc.driver.T4CPreparedStatement.executeForRows(T4CPreparedStatement.java:1010)
    at oracle.jdbc.driver.OracleStatement.doExecuteWithTimeout(OracleStatement.java:1315)
    at oracle.jdbc.driver.OraclePreparedStatement.executeInternal(OraclePreparedStatement.java:3576)
    at oracle.jdbc.driver.OraclePreparedStatement.executeUpdate(OraclePreparedStatement.java:3657)
    at oracle.jdbc.driver.OraclePreparedStatementWrapper.executeUpdate(OraclePreparedStatementWrapper.java:1350)
    at org.openbravo.service.system.SystemService.deleteClient(SystemService.java:334)


[1] http://builds.openbravo.com/view/try/job/try-full-pgsql/1790/console [^]
Steps To Reproduce1 Create a table in the AD that it is Datasource based.
2 Create a column in this table with:
  -DB Column Name: AD_Client_ID
  -Name: Client
  -Reference: TableDir
3 Restart Tomcat
4 Create a new client.
5 Delete created client.

See logs
Proposed SolutionThe exception is thrown in line 334 of SystemService. In line 323 starts a loop for all entities. In that loop views are ignored but not Datasource based entities. If clause should be modified to include (!entity.isDataSourceBased()).

I haven't checked if there are more loops in the process that loops through all the entities.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0024505 closedAugustoMauch testADataAccessLevel fails with datasource based tables 

-  Notes
(0060545)
hgbot (developer)
2013-08-08 14:45

Repository: erp/devel/pi
Changeset: d1cfd2567d699ce7ed10198af48f0dd4b137a23d
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Aug 08 14:44:30 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/d1cfd2567d699ce7ed10198af48f0dd4b137a23d [^]

fixed bug 24514: Delete Client fails when the AD has Datasource based tables

  Do not include these tabase in delete sql statements

---
M src/org/openbravo/service/system/SystemService.java
---
(0060558)
shankarb (developer)
2013-08-12 06:18

Code reviewed and verified in pi changeset 38dc65517c76
(0060638)
hudsonbot (developer)
2013-08-16 20:32

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/59a1180e7f4f [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-08-08 12:46 gorkaion New Issue
2013-08-08 12:46 gorkaion Assigned To => alostale
2013-08-08 12:46 gorkaion Modules => Core
2013-08-08 12:46 gorkaion Triggers an Emergency Pack => No
2013-08-08 12:52 gorkaion Regression level => Production - Confirmed Stable
2013-08-08 12:52 gorkaion Regression date => 2013-05-13
2013-08-08 12:52 gorkaion Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/885e989c6784 [^]
2013-08-08 14:41 alostale Relationship added related to 0024505
2013-08-08 14:43 alostale Review Assigned To => shankarb
2013-08-08 14:43 alostale Steps to Reproduce Updated View Revisions
2013-08-08 14:45 hgbot Checkin
2013-08-08 14:45 hgbot Note Added: 0060545
2013-08-08 14:45 hgbot Status new => resolved
2013-08-08 14:45 hgbot Resolution open => fixed
2013-08-08 14:45 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/d1cfd2567d699ce7ed10198af48f0dd4b137a23d [^]
2013-08-12 06:18 shankarb Note Added: 0060558
2013-08-12 06:18 shankarb Status resolved => closed
2013-08-12 06:18 shankarb Fixed in Version => 3.0MP27
2013-08-16 20:32 hudsonbot Checkin
2013-08-16 20:32 hudsonbot Note Added: 0060638


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker